load_datafile(3)

NAME
load_datafile

SYNOPSIS
#include <allegro.h>

DATAFILE *load_datafile(const char *filename);

DESCRIPTION
Loads a datafile into memory, and returns a pointer to it, or NULL on error. If the datafile has been encrypted, you must first use the packfile_password() function to set the appropriate key. See grabber.txt for more information. If the datafile contains truecolor graphics, you must set the video mode or call set_color_conversion() before loading it.

SEE ALSO
load_datafile_callback(3), unload_datafile(3), load_datafile_object(3), set_color_conversion(3), fixup_datafile(3), packfile_password(3), find_datafile_object(3), register_datafile_object(3)